package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Ignore;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description  拣选单
 * @Date 2021-04-30 
 */
@ApiModel
@Table ( value ="wms_pick_order" )
public class PickOrder extends BaseModel implements Serializable {
	private static final long serialVersionUID =  8794902051465422630L;
	@Id
	@ApiModelProperty(value = "主键id")
	@Column(value = "pick_order_id")
	private String pickOrderId;

	@ApiModelProperty(value = "状态 0：待拣选 1：待拣选确认 2：拣选完成")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "仓库id") 
	@Column(value = "warehouse_id")
	private String warehouseId;

	@ApiModelProperty(value = "小车编号") 
	@Column(value = "cart_code")
	private String cartCode;

	@ApiModelProperty(value = "拣选任务数") 
	@Column(value = "task_count")
	private Integer taskCount;

	@ApiModelProperty(value = "操作员工id（用户id）")
	@Column(value = "operator_id")
	private String operatorId;

	@ApiModelProperty(value = "员工工号")
	@Column(value = "operator_code")
	private String operatorCode;

	@ApiModelProperty(value = "员工名称")
	@Column(value = "operator_name")
	private String operatorName;

	@ApiModelProperty(value = "任务类型（0-整件/1-散件/2-整散合一）")
	@Column(value = "pick_task_type")
	private Integer pickTaskType;

	@ApiModelProperty(value = "打印状态（0-未打印，1-已打印）")
	@Column(value = "print_status")
	private String printStatus;

	@ApiModelProperty(value = "拣选纸单打印次数")
	@Column(value = "print_cnt")
	private BigDecimal printCnt;


	@Ignore
	@ApiModelProperty(value = "建筑物名称")
	private String bldgName;

	@Ignore
	@ApiModelProperty(value = "type：0，拣货任务,1 补货任务")
	private Integer type;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getBldgName() {
		return bldgName;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}

	public void setBldgName(String bldgName) {
		this.bldgName = bldgName;
	}

	public Integer getPickTaskType() {
		return pickTaskType;
	}

	public void setPickTaskType(Integer pickTaskType) {
		this.pickTaskType = pickTaskType;
	}

	public String getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(String operatorId) {
		this.operatorId = operatorId;
	}

	public String getOperatorCode() {
		return operatorCode;
	}

	public void setOperatorCode(String operatorCode) {
		this.operatorCode = operatorCode;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public String getPickOrderId() {
		return this.pickOrderId;
	}

	public void setPickOrderId(String pickOrderId) {
		this.pickOrderId = pickOrderId;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCartCode() {
		return this.cartCode;
	}

	public void setCartCode(String cartCode) {
		this.cartCode = cartCode;
	}

	public Integer getTaskCount() {
		return this.taskCount;
	}

	public void setTaskCount(Integer taskCount) {
		this.taskCount = taskCount;
	}

	public BigDecimal getPrintCnt() {
		return printCnt;
	}

	public void setPrintCnt(BigDecimal printCnt) {
		this.printCnt = printCnt;
	}
}
